Subject: Re: bug#39546: 28.0.50; Do not require subr-x at run time

From: Tino Calancha <[email-masked]>
Date: Mon, 10 Feb 2020 18:35:36 +0100 (CET)

On Mon, 10 Feb 2020, Michael Albinus wrote:

> Tramp needs `string-join' and `string-empty-p' from subr-x.el. If we
> don't load it here, we must eval-when-compile it in almost all Tramp
> files, I believe.

> Hmm, what's so bad requiring it? (I know the general answer because both
> are defsubst'es, but I don't see the point here).

My point is just to follow our convention for subr-x; of course, not a 
strong point, just a aesthetic one.